﻿# You can place the script of your game in this file.

# Declare images below this line, using the image statement.
# eg. image eileen happy = "eileen_happy.png"
image e happy = "eileen_happy.png"
image e vhappy = "eileen_vhappy.png"
image e concerned = "eileen_concerned.png"
image bg_city = "bg_city.png"
image bg_cafe = "bg_cafe.png"

# Declare characters used by this game.
define e = Character('Eileen', color="#c8ffc8")
define f = DynamicCharacter("myname")

# The game starts here.
label start:
    
    $ awkward = 0
    $ smooth = 0
    $ kojima = 0
    
    play music "city.mp3" fadein 1.0
    scene bg_city
    show e happy

    "Hey there."
    "Thanks so much for picking me up like this! Do I look okay?"
    menu:
        "Oh yeah! You look just perfect.":
            $ smooth +=1
            show e vhappy
            e "Haha! I bet you say that to all the girls."
        "Good enough for me! Hahaha!":
            $ awkward +=1
            e "Aha, well, um, thanks."
        "Actually, I am in really bad shape financially. I pay money to my ex-wife as part of our divorce settlement, among other bills... I just had no choice but to make you pay for lunch the other day. I'm really sorry.":
            $ kojima  +=1
            show e concerned
            e "Aw, I'm really sorry to hear that...but it's okay."
    show e happy
    "So hey, where's this place we're going? I haven't been here long, so I don't really know much about the nightlife around here."
    menu:
        "Well, there's this little gem down the street called Blue Oasis...":
            $ smooth +=1
            e "Little gem, huh? Sort of out-of-the-way? That'll be great. I don't want to be around a whole lot of people tonight."
        "Let's go to Ben's House of Oil! It's half-off after 3 PM!":
            $ awkward +=1
            show e concerned
            e "A-actually, um, that stuff's pretty bad for my skin. Is it okay if we just go to the coffee shop?"
        "In the dark of the night, there is a secret granted only to the just.":
            $ smooth +=1
            $ kojima +=2
            e "That...sounds pretty compelling."
    
    play music "coffeehouse.mp3" fadein 1.0
    scene bg_cafe
    
    show e happy
    "Thanks for this, I'm starving. By the way, I'm sorry, but I haven't even asked your name! I'm Eileen."
    e "How about you?"
    
    $ myname = renpy.input("What's your name, hot stuff?")
    $ myname = myname.strip()
    if myname == "":
        $ myname = "Frank"
    
    e "Oh, [myname], huh? That's great! I knew a guy named that. Things didn't go too well with him."
    show e concerned
    e "...Aw man, I'm sorry. I shouldn't bring up things like that on the first date. It's nothing personal, really!"
    menu:
        "That's okay. Let's see if I can't do better than he did, huh?":
            $ smooth +=1 
            show e vhappy
            e "Haha! Believe me, you'll be fine."
        "Gee, looks like I have my work cut out for me.":
            $ awkward += 1
            show e happy
            e "Nah, haha...you'll be okay. Sorry for bringing it up."
        "Oh yeah? What did he do? Give me all the gory details. Every one of them.":
            $ awkward +=2
            $ smooth -=1
            e "U-uh, geez, maybe later, huh? Let's have a date first before I go telling you about my old ones."
        "You knew our family's dark history, and still got involved!? What's wrong with you!?":
            $ kojima +=1
            show e vhappy
            e "I guess I have a type! Hahaha!"

    show e happy
    e "Anyway, enough about that stuff. Let's eat!"
    "Anything to drink?"
    e "Ah, yeah, I think I'll have a beer, thanks."
    menu:
        "Beer, huh? I'll have one too. Say, what's your favorite?":
            $ smooth +=1
            show e vhappy
            e "Oh, my favorite's Dark Horse, but I usually drink Sam Adams."
        "Whoa! A girl, drinking beer?? What the what what??? Wee-oo, wee-oo, we got a mythical creature over here!":
            $ awkward +=2 
            $ smooth -=1
            show e concerned
            e "Wow, is that really necessary?"
        "Ravens aren't scavengers like most people think... They are simply returning to the natural world that which is no longer needed. \nSometimes they even attack wounded foxes.":
            $ kojima +=1
            show e vhappy
            e "Hey, how did you know I'm into animals? I'm a bio major."
    
    show e happy
    e "And to eat...I think I'll have a caesar salad and the crab bisque. And you?"
    menu:
        "I'll have the steak medallions and penne pasta.":
            $ smooth +=1
            e "Wow, that sounds pretty tasty."
        "I'll have the ortolan, a small French bird, force-fed and prepared in the most brutal way possible.":
            $ awkward +=1
            show e concerned
            e "Wow, could you sound a little less enthusiastic about that?"
        "I thought a mushroom that glows that bright was bound to charge up my batteries if I ate it. And I was right.":
            $ kojima +=1
            show e vhappy
            e "That's really cool! I wonder where they got a Russian glowcap in Michigan."

    "Your food, mister and miss."
    e "Thanks! Mmm, this is delicious. Hey, thanks so much for taking me out. Say, what are you fiddling with there?"
    menu:
        "Oh, this? I was just turning my cell phone off. I don't want anyone to interrupt us.":
            $ smooth +=2
            show e vhappy
            e "Oh wow, that's very considerate of you! Thank you!"
        "Oh, this? I was just checking my bookmarks. Look at this great comment I left on Youtube!":
            $ awkward +=1
            show e concerned
            e "Sorry. I try not to read the comments if I can avoid it."
        "This is my knife. It's a work of art. It has matches and fishhooks and thread and stuff in the grip.":
            $ kojima +=1
            show e happy
            e "That's really interesting! Do you always bring your knife out to dinner?"
            menu:
                "Only on special occasions.":
                    $ smooth +=1
    
    play music "city.mp3" fadein 1.0
    scene bg_city
    show e happy
    e "That was pretty tasty! Thanks for the meal."
    e "Say, it's getting a little late...I live right down the street. Would you like to walk me home?"
    menu:
        "I'd like nothing better.":
            $ smooth +=1
        "Sure! Haha, lemme just casually slip my hand around your waist. H-heh.":
            $ awkward +=1
            show e concerned
            e "Wow, uh."
        "Light is but a farewell gift from the darkness to those on their way to die. I've been waiting, Snake, for a long time. Waiting for your birth, your growth, and the finality of today.":
            $ kojima +=1
            show e vhappy
            e "Wow, that's very profound. It really touches my heart."
    
    show e happy
    e "Well, I guess this is it...the end of our first date together, huh?"
    menu:
        "It was absolutely wonderful. Thank you so much. It was a pleasure.":
            $ smooth +=1
            show e vhappy
            e "It's no problem! I'm so glad you enjoyed it."
        "It was pretty good! Maybe next time we can do something that isn't boring!":
            $ awkward +1 
            show e concerned
            e "Uh, yeah, maybe next time. I'll think about it."
        "Even if a pawn becomes a queen, it is still just a playing piece... I wanted to leave my own mark in history. But my ambitions were... You'll understand someday...":
            $ kojima +1

    if awkward > max(smooth, kojima):
        show e concerned
        e "Just, uh, just kick back and relax for the week, huh? Don't call me, I'll call you. I insist."
    if smooth > max(awkward, kojima):
        e "That was...really lovely. Let's get together again soon, okay?" 
        e "...kiss..."
    if kojima > max(awkward, smooth):
        play music "mgs.mp3"
        show e concerned
        e "I...I actually have something to tell you, %(myname)s."
        e "The memories you have and the role you were assigned are burdens you have to carry. It doesn't matter if they were real or not."
        e "That's never the point."
        e "There's no such thing in the world as absolute reality. Most of what they call real is actually fiction. What you think you see is only as real as your brain tells you it is."
        f "Then what am I supposed to believe in? What am I going to leave behind when I'm through?"
        show e happy
        e "We can tell other people about -- having faith. What we had faith in. What we found important enough to fight for."
        e "It's not whether you were right or wrong, but how much faith you were willing to have, that decides the future. The Patriots are a kind of ongoing fiction too, come to think of it...."
        f "..."
        show e concerned
        e "Listen, don't obsess over words so much. Find the meaning behind the words, then decide. You can find your own name. And your own future..."
        f "Decide for myself...?"
        e "And whatever you choose will be you."
        f "I don't know if I can..."
        e "I know you didn't have much in terms of choices this time. But everything you felt, thought about during this mission is yours. And what you decide to do with them is your choice..."
        f "You mean start over?"
        e "Yeah, a clean slate. A new name, new memories. Choose your own legacy. It's for you to decide."
        show e happy
        e "It's up to you."
    return
